import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (n, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? m(e, s) : e, i = n.length - 1, c; i >= 0; i--)
    (c = n[i]) && (r = (t ? c(e, s, r) : c(r)) || r);
  return t && r && f(e, s, r), r;
};
let o = class extends w {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowDownCircle", this.class = "c-pieIcon c-pieIcon--arrowDownCircle", this.name = "IconArrowDownCircle";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowDownCircle"><path d="M7.344 1.578v7.166L5.445 6.845l-.945.928 2.713 2.712a1.084 1.084 0 0 0 1.54 0L11.5 7.773l-.945-.928-1.899 1.899V1.578z"></path><path d="M9.969 1.315V2.75a5.46 5.46 0 1 1-3.938 0V1.315a6.781 6.781 0 1 0 3.938 0"></path></svg>`;
  }
};
l([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  h("icon-arrow-down-circle")
], o);
export {
  o as IconArrowDownCircle
};
